Name:		qwt-doc
Summary:	Documentation of qwt
Version:	5.2.1
Release:	1%{?dist}
URL:		http://qwt.sourceforge.net
License:	LGPLv2 with exceptions
Group:		Documentation
Source0:	http://downloads.sourceforge.net/qwt/qwt-%{version}.tar.bz2
Source1:	http://downloads.sourceforge.net/qwt/qwt-%{version}.pdf
Patch0:		qwt-path.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt4-devel
Buildarch:	noarch
Requires:	qwt = %{version}

%if 0%{?rhel} > 4
%define epel5mode 1
%else
%define epel5mode 0
%endif

%description 
The documentation of the lib.

%prep
%setup -q -n qwt-%{version}
%patch0 -p1
sed -i "s\DOCKPATH\ $RPM_BUILD_ROOT%{_docdir}/qwt-%{version}\1" qwtconfig.pri

%build
#fix the file coding
iconv -f ISO-8859-1 -t utf-8 doc/man/man3/QwtPicker.3 -o doc/man/man3/QwtPicker.3.tmp
iconv -f ISO-8859-1 -t utf-8 doc/html/index.html -o doc/html/index.html.tmp
iconv -f ISO-8859-1 -t utf-8 doc/html/class_qwt_picker.html -o doc/html/class_qwt_picker.html.tmp
mv doc/man/man3/QwtPicker.3.tmp doc/man/man3/QwtPicker.3
mv doc/html/index.html.tmp doc/html/index.html
mv doc/html/class_qwt_picker.html.tmp doc/html/class_qwt_picker.html
#replace encoding string at the html files
find doc/html/ -name "*.html" | xargs sed -i "s/iso-8859-1/utf-8/g"


cd src
%if %{epel5mode}
%{_libdir}/qt4/bin/qmake
%else
qmake-qt4
%endif

sed -i "s\install_doc: first FORCE\install_doc: FORCE\1" Makefile 

%install
rm -rf $RPM_BUILD_ROOT
make -f src/Makefile install_doc COPY="cp -a"
cp  -p %{SOURCE1} $RPM_BUILD_ROOT%{_docdir}/qwt-%{version}/
#fix the path of the man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mv $RPM_BUILD_ROOT%{_docdir}/qwt-%{version}/man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3/
rm -rf $RPM_BUILD_ROOT%{_docdir}/qwt-%{version}/man
#fix for #322191
mv $RPM_BUILD_ROOT%{_mandir}/man3/deprecated.3 $RPM_BUILD_ROOT%{_mandir}/man3/qwt-deprecated.3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_docdir}/qwt-%{version}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 16 2010 Frank Büttner <frank-buettner@gmx.net - 5.2.1-1
- update to 5.2.1

* Fri Feb 05 2010 Frank Büttner <frank-buettner@gmx.net - 5.2.0-6
-remove more old files

* Fri Feb 05 2010 Frank Büttner <frank-buettner@gmx.net - 5.2.0-5
 -remove old files

* Fri Feb 05 2010 Frank Büttner <frank-buettner@gmx.net - 5.2.0-4
- only rebuild because koji error's

* Fri Feb 05 2010 Frank Büttner <frank-buettner@gmx.net - 5.2.0-3
- only rebuild because koji error's

* Fri Feb 05 2010 Frank Büttner <frank-buettner@gmx.net - 5.2.0-2
- only rebuild because koji error's

* Fri Feb 05 2010 Frank Büttner <frank-buettner@gmx.net - 5.2.0-1
- update to 5.2.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 05 2009 Frank Büttner <frank-buettner@gmx.net - 5.1.1-2
 - fix wrong file name
* Mon Jan 05 2009 Frank Büttner <frank-buettner@gmx.net - 5.1.1-1
 - update to 5.1.1
* Sun Oct 07 2007 Frank Büttner <frank-buettner@gmx.net - 5.0.2-5
 - fix for bug #322191
 - use tab for all seperators
* Sun Sep 30 2007 Frank Büttner <frank-buettner@gmx.net - 5.0.2-4
 - modify the file encoding
* Sat Sep 29 2007 Frank Büttner <frank-buettner@gmx.net - 5.0.2-3
 - add EPEL support
* Sat Sep 29 2007 Frank Büttner <frank-buettner@gmx.net - 5.0.2-2
 - fix spec file
* Mon Jun 11 2007 Frank Büttner <frank-buettner@gmx.net - 5.0.2-1
 - split the doc files.
